{{- $fullName := include "common.fullname" . -}}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ $fullName }}-bootstrap
  labels:
  {{- include "common.labels" $ | nindent 4 }}
  annotations:
    "helm.sh/hook": pre-install
    "helm.sh/hook-delete-policy": before-hook-creation
spec:
  template:
    metadata:
      name: {{ $fullName }}-bootstrap
      labels:
    {{- include "common.labels" $ | nindent 8 }}
    spec:
      restartPolicy: OnFailure
      {{- with $.Values.imagePullSecrets }}
      imagePullSecrets:
      {{- toYaml . | nindent 8 }}
      {{- end }}
      securityContext:
      {{- toYaml $.Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ $.Chart.Name }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          args: ["/bin/sh", "-c", "npx directus bootstrap"]
          env:
          {{- include "common.commonEnv" . | nindent 12 }}
          resources:
  {{- toYaml .Values.resources | nindent 12 }}
